{
  "AuthName": "delight-microsoftonline-graph",
  "Caption": "Microsoft O365 (delight.ch OAuth)",
  "DescriptionFile": ".\\delight-microsoftonline-graph_%language%.html", 
  "AuthenticationType": "XOAUTH2",
  "AuthorizationEndpoint": "https://login.microsoftonline.com/common/oauth2/v2.0/authorize",
  "AccessTokenEndpoint": "https://login.microsoftonline.com/common/oauth2/v2.0/token",
  "LogoutEndpoint": "https://login.microsoftonline.net/common/oauth2/v2.0/logout",
  "ClientID": "9a8eca44-9f6e-4c81-a105-fd3ead15ed4d",
  "localhost-authport": 2132,
  "AuthSuccessRedirectURL": "",
  "AuthSuccessServFile": ".\\AuthSuccess_%language%.html",  
  "Scopes": "https://graph.microsoft.com/email https://graph.microsoft.com/Mail.Send https://graph.microsoft.com/Mail.ReadWrite offline_access",

  "protocols": [
    {
	  "name": "http-send",
	  "transport": "ms-graph-sender",
	  "type": "out",
	  "caption": "MS Graph API"
	},  
    {
	  "name": "http-send-mime",
	  "transport": "rest",
	  "type": "out",
	  "caption": "MS Graph API (MIME)",
	  "content-type": "text/plain",
	  "message-format": "MIME",
	  "message-encoding": "base64",
      "endpoint": "https://graph.microsoft.com/v1.0/me/sendMail"
	},	
    {
	  "name": "http-receive",
	  "transport": "ms-graph-receiver",
	  "type": "in",
	  "caption": "MS Graph API"
	}	
  ],    
  
  "transport": {
	 "sending":
	 {	
	   "default-protocol": "http-send"	   
	 },
    "receiving": {	
	   "default-protocol": "http-receive"
	   
	}
  },
  "domains": [
    "onmicrosoft.*"	
  ],   
  "ui-elements": [
  ]
}